package emps.v2_obiektowo;

import java.util.List;

import javax.swing.JOptionPane;

public class P4_SredniaJedenJob {

    public static void main(String[] args) {
        String szukanyJob = JOptionPane.showInputDialog("Podaj nazwę stanowiska", "Programmer");

        List<Employee> emps = ObslugaCSV.wczytajDane();
        double suma = 0;
        int ile = 0;
        for(Employee emp : emps) {
            if(emp.getJobTitle().equalsIgnoreCase(szukanyJob)) {
                suma += emp.getSalary();
                ile++;
            }
        }
        if(ile == 0) {
            JOptionPane.showMessageDialog(null, "Nikt nie pracuje na stanowisku " + szukanyJob,
                    "Brak danych", JOptionPane.WARNING_MESSAGE);
        } else {
            double srednia = suma / ile;
            JOptionPane.showMessageDialog(null, "Średnia pensja: " + srednia);
        }
    }

}
